hpp-corbaserver: hpp::pinocchio_impl::CollisionObjectServant< _Base, _Storage > Class Template Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | List of all members
hpp::pinocchio_impl::CollisionObjectServant< _Base, _Storage > Class Template Reference

`#include <hpp/pinocchio_idl/robots-fwd.hh>`

Inheritance diagram for hpp::pinocchio_impl::CollisionObjectServant< _Base, _Storage >:
[legend]
Collaboration diagram for hpp::pinocchio_impl::CollisionObjectServant< _Base, _Storage >:
[legend]

## Public Types
typedef hpp::pinocchio::CollisionObject | HppBase
Public Types inherited from hpp::corbaServer::ServantBase< hpp::pinocchio::CollisionObject, _Storage >
typedef _Storage | Storage
typedef weak_ptr< typename Storage::element_type > | StorageElementWkPtr_t
typedef shared_ptr< typename Storage::element_type > | StorageElementShPtr_t
Public Types inherited from hpp::corbaServer::AbstractServantBase< T >
typedef shared_ptr< T > | TShPtr_t
typedef weak_ptr< T > | TWkPtr_t

## Public Member Functions
| SERVANT_BASE_TYPEDEFS (hpp::pinocchio_idl::CollisionObject, HppBase)
| CollisionObjectServant (::hpp::corbaServer::Server *server, const _Storage &s)
virtual | ~CollisionObjectServant ()
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
Public Member Functions inherited from hpp::corbaServer::ServantBase< hpp::pinocchio::CollisionObject, _Storage >
virtual | ~ServantBase ()
virtual TShPtr_t | get () const
bool | expired () const final
StorageElementShPtr_t | getT () const
const Storage & | getS () const
void | persistantStorage (bool persistant)
| Set to true if the servant should take ownership of this object. More...
bool | persistantStorage () const
| See persistantStorage(bool) More...
void | deleteThis ()
bool | deleteIfExpired ()
Public Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
virtual | ~AbstractServantBase ()
virtual Server::ServantKey | getServantKey () const

## Additional Inherited Members
Protected Member Functions inherited from hpp::corbaServer::ServantBase< hpp::pinocchio::CollisionObject, _Storage >
| ServantBase (Server *server, const Storage &_s)
Protected Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
| AbstractServantBase (Server *server)
Protected Attributes inherited from hpp::corbaServer::ServantBase< hpp::pinocchio::CollisionObject, _Storage >
Storage | wrappedObject_
Protected Attributes inherited from hpp::corbaServer::AbstractServantBase< T >
Server * | server_

## Member Typedef Documentation

## ◆ HppBase

template<typename _Base , typename _Storage >

typedef hpp::pinocchio::CollisionObject hpp::pinocchio_impl::CollisionObjectServant< _Base, _Storage >::HppBase

## Constructor & Destructor Documentation

## ◆ CollisionObjectServant()

template<typename _Base , typename _Storage >

hpp::pinocchio_impl::CollisionObjectServant< _Base, _Storage >::CollisionObjectServant | ( | ::hpp::corbaServer::Server * | server,
|  | const _Storage & | s
| ) |  |

## ◆ ~CollisionObjectServant()

template<typename _Base , typename _Storage >

hpp::pinocchio_impl::CollisionObjectServant< _Base, _Storage >::~CollisionObjectServant
| virtual

## Member Function Documentation

## ◆ deleteIfExpired()

template<typename _Base , typename _Storage >

CORBA::Boolean hpp::pinocchio_impl::CollisionObjectServant< _Base, _Storage >::deleteIfExpired

## ◆ deleteThis()

template<typename _Base , typename _Storage >

void hpp::pinocchio_impl::CollisionObjectServant< _Base, _Storage >::deleteThis

## ◆ persistantStorage()

template<typename _Base , typename _Storage >

void hpp::pinocchio_impl::CollisionObjectServant< _Base, _Storage >::persistantStorage | ( | ::CORBA::Boolean | persistant | ) |

## ◆ SERVANT_BASE_TYPEDEFS()

template<typename _Base , typename _Storage >

hpp::pinocchio_impl::CollisionObjectServant< _Base, _Storage >::SERVANT_BASE_TYPEDEFS | ( | hpp::pinocchio_idl::CollisionObject | ,
|  | HppBase |
| ) |  |

The documentation for this class was generated from the following files:

- src/hpp/pinocchio_idl/robots-fwd.hh
- src/hpp/pinocchio_idl/robots.hh